Subject: Re: bug#276: 23.0.60; crash after C-x 5 1

From: Chong Yidong <[email-masked]>
Date: Sun, 11 Sep 2011 16:45:39 -0400

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Eric Hanchrow <[email-masked]> writes:
>
>> I guess not.  I just rebuilt emacs from scratch on a Ubuntu 11.04 box,
>> and went through the repro steps.  This time, instead of crashing,
>> nothing at all happened: apparently, C-x 5 1, when done from a console
>> frame, no longer kills X frames.  Not sure that's the correct
>> behavior, though.
>
> Me neither.  Does anybody know whether this is intended, or just a
> fallout of the recent window changes?

The recent window changes have nothing to do with this.  Since we got
multi-tty in Emacs 23, delete-other-frames only deletes frames on the
current terminal.  Deleting frames on other terminals would generally be
a nuisance.

I think this bug report can be closed.